---
title: AudioTrackList.getTrackById()
slug: Web/API/AudioTrackList/getTrackById
tags:
  - API
  - Audio
  - AudioTrackList
  - HTML DOM
  - Media
  - Method
  - Reference
  - Track ID
  - Track List
  - Tracks
  - getTrackById
  - id
  - track
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The <strong>{{domxref("AudioTrackList")}}</strong> method <strong><code>getTrackById()</code></strong> returns the first {{domxref("AudioTrack")}} object from the track list whose {{domxref("AudioTrack.id", "id")}} matches the specified string.</span> This lets you find a specified track if you know its ID string.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>theTrack</em> = <em>AudioTrackList</em>.getTrackById(<em>id</em>);</pre>

<h3 id="Paramters">Paramters</h3>

<dl>
 <dt><code>id</code></dt>
 <dd>A {{domxref("DOMString")}} indicating the ID of the track to locate within the track list.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>An {{domxref("AudioTrack")}} object indicating the first track found within the <code>AudioTrackList</code> whose <code>id</code> matches the specified string. If no match is found, this method returns <code>null</code>.</p>

<p>The tracks are searched in their natural order; that is, in the order defined by the media resource itself, or, if the resource doesn't define an order, the relative order in which the tracks are declared by the media resource.</p>

<h2 id="Example">Example</h2>

<p>This example suggests a hypothetical game in which movies are used as cut-scenes or other key set pieces within the game. Each movie has one audio track for each character, as well as one for the music, sound effects, and so forth. This function allows the game to disable a specific character's audio in order to adjust the movie's performance based on occurrences within the game; if the character's dialog isn't relevant, it gets left out. Obviously that would require some clever graphic design to make work, but... it's a hypothetical game.</p>

<pre class="brush: js">function disableCharacter(videoElem, characterName) {
  videoElem.audioTracks.getTrackById(characterName).enabled = false;
}
</pre>

<p>This short function gets the {{domxref("AudioTrackList")}} containing the video's audio tracks using {{domxref("HTMLMediaElement.audioTracks")}}, then calls <code>getTrackById()</code> on it, specifying the character's name. The resulting track's audio is then disabled by setting its {{domxref("AudioTrack.enabled", "enabled")}} flag to <code>false</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-audiotracklist-gettrackbyid', 'AudioTrackList.getTrackById()')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'embedded-content-0.html#dom-audiotracklist-getTrackById', 'AudioTrackList.getTrackById()')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AudioTrackList.getTrackById")}}</p>
